/**************************************
 * NOTE: This source code is free and 
 * comes with ABSOLUTELY NO WARRANTY.
 * 
 * @author Daniel Muenter, 2006
 * 
 **************************************/

var FbfOverlay = {
	
	prefService : Components.classes["@mozilla.org/preferences-service;1"].getService(Components.interfaces.nsIPrefService),
	
	// Check whether we installed the toolbar button already
	checkToolbarButton: function() {
		var toolbarbuttonenabled = prefService.getBoolPref("extensions.feedbackfox.showfbftbarbutton");
		var button = document.getElementById("feedbackfox-toolbarbutton");
		if (toolbarbuttonenabled && !button) {
			var insertBeforeBtn = 'urlbar-container';
			var toolbar = document.getElementById("nav-bar");
			if (toolbar && "insertItem" in toolbar) {
				var insertBefore = (insertBeforeBtn ? document
						.getElementById(insertBeforeBtn) : null);
				if (insertBefore && insertBefore.parentNode != toolbar) {insertBefore = null;}
				toolbar.insertItem("feedbackfox-toolbarbutton", insertBefore, null, false);
				toolbar.setAttribute("currentset", toolbar.currentSet);
				document.persist(toolbar.id, "currentset");
				prefService.setBoolPref("extensions.feedbackfox.showfbftbarbutton", true);
			}
		} else if (!toolbarbuttonenabled && button) {
			var parent = button.parentNode;
			parent.removeChild(button);
			var toolbar = document.getElementById("nav-bar");
			toolbar.setAttribute("currentset", toolbar.currentSet);
			document.persist(toolbar.id, "currentset");
			prefService.setBoolPref("extensions.feedbackfox.showfbftbarbutton", false);
		}
	}
};
